﻿function onLoad() {
  update();
}

function update() {
  document.getElementById('Area').innerHTML =
    document.form1.Area.value;
  document.getElementById('Year').innerHTML =
    document.form1.Year.value;

  var canvas = document.getElementById('canvas1');
  if (!canvas || !canvas.getContext) {
    alert('error: no canvas');
    return false;
  }
  var context = canvas.getContext('2d');
  context.font = '120% Arial';
  var barHeight = 30;
  var barVerticalStep = 40;
  var verticalOffset = 15;
  var barHorizontalOffset = 60;
  var dataRatio = 2.0;
  var textVerticalAdjust = 22;
  var textHorizontalAdjust = 10;
  var dataArray = new Array;
  dataArray.push(
    document.form1.m1.value,
    document.form1.m2.value,
    document.form1.m3.value,
    document.form1.m4.value,
    document.form1.m5.value,
    document.form1.m6.value,
    document.form1.m7.value,
    document.form1.m8.value,
    document.form1.m9.value,
    document.form1.m10.value,
    document.form1.m11.value,
    document.form1.m12.value);

  var gradation = context.createLinearGradient(
    barHorizontalOffset, 0, 400, 0);
  gradation.addColorStop(0, '#ffff00');
  gradation.addColorStop(1, '#00ffff');

  for (var i = 0; i < dataArray.length; i++) {
    context.fillText((i + 1) + '月',
      textHorizontalAdjust,
      verticalOffset + barVerticalStep * i +
      textVerticalAdjust);

    context.fillStyle = gradation;
    context.fillRect(barHorizontalOffset,
      verticalOffset + barVerticalStep * i,
      dataArray[i] * dataRatio, barHeight);
    context.fillStyle = '#000000';

    context.strokeRect(barHorizontalOffset,
      verticalOffset + barVerticalStep * i,
      dataArray[i] * dataRatio, barHeight);

    context.fillText(dataArray[i] + 'mm',
      barHorizontalOffset + dataArray[i] *
      dataRatio + textHorizontalAdjust,
      verticalOffset + barVerticalStep * i +
      textVerticalAdjust);
  }

  context.beginPath();
  context.moveTo(barHorizontalOffset,
    verticalOffset);
  context.lineTo(barHorizontalOffset,
    verticalOffset + barVerticalStep *
    (dataArray.length - 1) + barHeight);
  context.closePath();
  context.stroke();
}
